Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.monitor.statistics
Interface ConnectionPoolStats

All Superinterfaces:
  Stats

All Known Subinterfaces:
  AltJDBCConnectionPoolStats, ConnectorConnectionPoolStats

public interface ConnectionPoolStats
extends Stats

A Stats interface to represent the statistical data exposed by a Connection Pool. All the Connection Pool implementations should expose statistical data by implementing this interface.

Method Summary
`CountStatistic` | `getAverageConnWaitTime()` Indicates the average wait time of connections, before they are serviced by the connector connection pool
`RangeStatistic` | `getConnRequestWaitTime()` Indicates the longest, shortest wait times of connection requests.
`CountStatistic` | `getNumConnCreated()` indicates the number of connections that were created, since the last reset
`CountStatistic` | `getNumConnDestroyed()` indicates the number of connections that were destroyed, since the last reset
`CountStatistic` | `getNumConnFailedValidation()` represents the number of connections that failed validation
`CountStatistic` | `getNumConnFree()`
`CountStatistic` | `getNumConnTimedOut()` represents the number of connection requests that timed out
`RangeStatistic` | `getNumConnUsed()` Statistic to represent the Connection Usage In addition to information about the number of connections being used currently, this also contains information about the Maximum number of connections that were used(High Watermark)
`CountStatistic` | `getWaitQueueLength()` Indicates the number of connection requests in the queue waiting to be serviced

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getNumConnUsed

    public RangeStatistic getNumConnUsed()

  Statistic to represent the Connection Usage In addition to information about the number of connections being used currently, this also contains information about the Maximum number of connections that were used(High Watermark)

  Returns:
    RangeStatistic

### getNumConnFree

    public CountStatistic getNumConnFree()

### getNumConnFailedValidation

    public CountStatistic getNumConnFailedValidation()

  represents the number of connections that failed validation

  Returns:
    CountStatistic

### getNumConnTimedOut

    public CountStatistic getNumConnTimedOut()

  represents the number of connection requests that timed out

  Returns:
    CountStatistic

### getAverageConnWaitTime

    public CountStatistic getAverageConnWaitTime()

  Indicates the average wait time of connections, before they are serviced by the connector connection pool

  Returns:
    CountStatistic

### getWaitQueueLength

    public CountStatistic getWaitQueueLength()

  Indicates the number of connection requests in the queue waiting to be serviced

  Returns:
    CountStatistic

### getConnRequestWaitTime

    public RangeStatistic getConnRequestWaitTime()

  Indicates the longest, shortest wait times of connection requests. The current value indicates the wait time of the last request that was serviced by the pool.

  Returns:
    RangeStatistic

### getNumConnCreated

    public CountStatistic getNumConnCreated()

  indicates the number of connections that were created, since the last reset

  Returns:
    CountStatistic

### getNumConnDestroyed

    public CountStatistic getNumConnDestroyed()

  indicates the number of connections that were destroyed, since the last reset

  Returns:
    CountStatistic

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.